%% Save all important variables of a gravity estimation
% SAVE_VARS2CONTINUE_ITR  can be used to save all important results, as well as
% to continue the estimation from the last iteration by e.g. using
% continue_gfr_par_from_iteration.m. All variable are saved in one .mat file,
% and can be directly loaded in continue_gfr_par_from_iteration.m.

%%
% Filename and path of file to save
FileName= ['results/','GFR_Iteration_',num2str(ItrNo_max), '_do_', num2str(lmaxcs), '_nods_', num2str(nods), '_', date, '_011.mat'];

% save all necessary variables in one file
save(FileName,'xhat_save','chat_save','eps_save','chat_dv_save','dv_save','state0','x0x','field', 'field_cs', 'err_vec', 'field_vec0', 'mKBR', 'GM', 'ae', 't0', 'nods', 'lmaxcs', 'lmaxf', 'Input_Observation_Path','state00');
